## jalv 0~svn3409

=== debian/changelog ===
jalv (0~svn3409-1) unstable; urgency=low

  * New upstream release:
    - Build Jalv in top-level build.
    - Send control output port updates to UIs (commonly used for metering).
    - Add a real URI map implementation.
    - Remove unnecessary configure checks for glib and gthread.
    - Support control changes from UI.
    - Implement instance-access extension (support IR.lv2 UI).

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Jun 2011 14:15:39 +0200

jalv (0~svn3395-1) unstable; urgency=low

  * Initial release. (Closes: #630391)

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Jun 2011 10:10:23 +0200
