=== debian/watch ===
# Sources are taken from http://svn.drobilla.net/lad/trunk/jalv/
