## jalv 0~svn3409+dfsg0

=== debian/changelog ===
jalv (0~svn3409+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654478).
  * Adjust the clean target to properly clean the sources.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:12:50 +0100
