=== debian/changelog ===
jalv (1.0.0~dfsg0-2) unstable; urgency=low

  * Tolerate loading presets with port values that aren't xsd:decimal.
    Patch taken from upstream trunk.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 12:44:03 +0200

jalv (1.0.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Remove 0001-manpage.patch, adopted upstream.
  * debian/control:
    - Replace old LV2 build-deps with lv2-dev.
    - Tighten build-dep on lilv, add build-dependencies on
      libserd-dev and libsratom-dev.
    - Add build-dependency on sord.
    - Update Homepage.
  * Add patch to fix jalv.gtk's manpage section mismatch.
  * Update debian/watch.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 11:12:23 +0200
