=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libjack-dev,
 liblilv-dev (>= 0.14.0~),
 libqt4-dev,
 libserd-dev,
 libsord-dev,
 libsratom-dev,
 libsuil-dev,
 lv2-dev,
 pkg-config,
 python
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/jalv/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jalv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jalv.git

Package: jalv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.
