## jalv 1.2.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/env python
-import os
-import sys
 import subprocess
-
 from waflib.extras import autowaf as autowaf
 import waflib.Options as Options
-import waflib.Logs as Logs
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.0.0'
+JALV_VERSION = '1.2.0'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -31,13 +27,14 @@
     conf.load('compiler_cxx')
     conf.line_just = 52
     autowaf.configure(conf)
+    autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.15', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.4.5', mandatory=True)
+                      atleast_version='0.5.0', mandatory=True)
     autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                       atleast_version='0.6.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
@@ -46,6 +43,8 @@
                       atleast_version='0.120.0', mandatory=True)
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
+    autowaf.check_pkg(conf, 'gtk+-3.0', uselib_store='GTK3',
+                      atleast_version='3.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                       atleast_version='2.20.0', mandatory=False)
     autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
@@ -59,13 +58,14 @@
     if not Options.options.no_jack_session:
         autowaf.define(conf, 'JALV_JACK_SESSION', 1)
 
-    conf.env.append_unique('CFLAGS', '-std=c99')
     autowaf.define(conf, 'JALV_VERSION', JALV_VERSION)
 
     conf.write_config_header('jalv_config.h', remove=False)
 
     autowaf.display_msg(conf, "Gtk 2.0 support",
                         conf.is_defined('HAVE_GTK2'))
+    autowaf.display_msg(conf, "Gtk 3.0 support",
+                        conf.is_defined('HAVE_GTK3'))
     autowaf.display_msg(conf, "Gtkmm 2.0 support",
                         conf.is_defined('HAVE_GTKMM2'))
     autowaf.display_msg(conf, "Qt 4.0 support",
@@ -86,15 +86,25 @@
               install_path = '${BINDIR}')
     autowaf.use_lib(bld, obj, libs)
 
-    # Gtk version
+    # Gtk2 version
     if bld.is_defined('HAVE_GTK2'):
         obj = bld(features     = 'c cprogram',
-                  source       = source + ' src/jalv_gtk2.c',
+                  source       = source + ' src/jalv_gtk.c',
                   target       = 'jalv.gtk',
                   includes     = ['.', 'src'],
                   lib          = ['pthread', 'm'],
                   install_path = '${BINDIR}')
         autowaf.use_lib(bld, obj, libs + ' GTK2')
+
+    # Gtk3 version
+    if bld.is_defined('HAVE_GTK3'):
+        obj = bld(features     = 'c cprogram',
+                  source       = source + ' src/jalv_gtk.c',
+                  target       = 'jalv.gtk3',
+                  includes     = ['.', 'src'],
+                  lib          = ['pthread', 'm'],
+                  install_path = '${BINDIR}')
+        autowaf.use_lib(bld, obj, libs + ' GTK3')
 
     # Gtkmm version
     if bld.is_defined('HAVE_GTKMM2'):
