=== debian/changelog ===
jalv (1.2.0~dfsg0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix VCS urls.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 May 2013 17:27:44 +0200

jalv (1.2.0~dfsg0-1) experimental; urgency=low

  * New upstream release:
    - Tune UI update rate and ring size based on JACK rate and MIDI buffer
      size to handle the handle the maximum message rate the plugin can
      send.
    - Support lv2:sampleRate control ports.
    - Tolerate loading presets with port values that aren't xsd:decimal
    - Notify plugins of Jack transport changes by sending events (an
      atom:Blank with properties from the LV2 time extension)
    - Refuse to instantiate plugins which require unsupported features
    - Support LV2 buf-size extension (with all features)
    - Add Gtk3 UI
    - Port to MinGW
    - Fix Jack Session support
  * debian/control:
    - Needs lv2 >> 1.2.0
  * Remove 0001-presets_with_non_decimal_ports.patch, applied upstream.
  * Add get-orig-source target to strip out waf.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Oct 2012 10:10:42 +0000
