=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev,
+ lv2-dev (>> 1.2.0~),
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/jalv/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/jalv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jalv.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jalv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jalv.git
 
 Package: jalv
 Architecture: any
