## jalv 1.4.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.2.0'
+JALV_VERSION = '1.4.2'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -30,15 +30,17 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.15', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.4.3', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
+                      atleast_version='0.15.1', mandatory=True)
+    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
-    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.5.0', mandatory=True)
+    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
+                      atleast_version='0.12.0', mandatory=True)
     autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                       atleast_version='0.6.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
-                      atleast_version='0.2.0', mandatory=True)
+                      atleast_version='0.4.0', mandatory=True)
     autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                       atleast_version='0.120.0', mandatory=True)
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
@@ -73,7 +75,7 @@
     print('')
 
 def build(bld):
-    libs = 'LILV SUIL JACK SERD SRATOM LV2'
+    libs = 'LILV SUIL JACK SERD SORD SRATOM LV2'
 
     source = 'src/jalv.c src/symap.c src/state.c src/lv2_evbuf.c src/worker.c src/log.c'
