=== debian/changelog ===
jalv (1.4.2~dfsg0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Bump build-dep on lv2-dev >= 1.4.3.
  * Add build-dep on libgtk-3-dev to enable GTK3+ support.
  * Enable support for GTKMM-2.0.
  * Needs lilv >= 0.15.1

  [ Jaromír Mikeš ]
  * Added myself as uploader

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Aug 2013 09:26:04 +0100
