=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 7.0.50~),
+ libgtk-3-dev,
  libgtk2.0-dev,
+ libgtkmm-2.4-dev,
  libjack-dev,
- liblilv-dev (>= 0.14.0~),
+ liblilv-dev (>= 0.15.1~),
  libqt4-dev,
  libserd-dev,
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev (>> 1.2.0~),
+ lv2-dev (>= 1.4.3~),
  pkg-config,
  python
 Standards-Version: 3.9.4
