## jalv 1.4.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.4.2'
+JALV_VERSION = '1.4.4'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -23,14 +23,14 @@
                    help="Do not build JACK session support")
 
 def configure(conf):
+    conf.line_just = 52
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 52
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.4.3', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                       atleast_version='0.15.1', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
