=== debian/changelog ===
jalv (1.4.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Set dh/compat 9.
  * Bump Standards.
  * Remove --debug from configure to flags to be passed.
  * Fix passing ldflags.
  * Added repacking scripts.
  * Install NEWS file as upstream changelog.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 28 Feb 2014 19:44:02 +0100
