=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libgtk-3-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
@@ -20,7 +20,7 @@
  lv2-dev (>= 1.4.3~),
  pkg-config,
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/jalv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jalv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jalv.git
