=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 dfsg_version = $(upstream_version)~dfsg0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-export LDFLAGS+=-Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 WAF = ./waf
 
 %:
@@ -14,8 +14,7 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-                --strict \
-		--debug
+                --strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -28,6 +27,9 @@
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/jalv
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 # get-orig-source to drop waf
 get-orig-source:
