## jalv 1.4.6~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.4.4'
+JALV_VERSION = '1.4.6'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -21,6 +21,9 @@
     opt.add_option('--no-jack-session', action='store_true', default=False,
                    dest='no_jack_session',
                    help="Do not build JACK session support")
+    opt.add_option('--no-qt', action='store_true', default=False,
+                   dest='no_qt',
+                   help="Do not build Qt GUI")
 
 def configure(conf):
     conf.line_just = 52
@@ -30,9 +33,9 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.8.1', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
-                      atleast_version='0.15.1', mandatory=True)
+                      atleast_version='0.19.2', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
@@ -49,12 +52,22 @@
                       atleast_version='3.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                       atleast_version='2.20.0', mandatory=False)
-    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
-                      atleast_version='4.0.0', mandatory=False)
+    if not Options.options.no_qt:
+        autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
+                          atleast_version='4.0.0', mandatory=False)
+        if conf.is_defined('HAVE_QT4'):
+            conf.find_program('moc')
 
     conf.check(function_name='jack_port_type_get_buffer_size',
                header_name='jack/jack.h',
                define_name='HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
+               uselib='JACK',
+               mandatory=False)
+
+    conf.check(function_name='jack_set_property',
+               header_name='jack/metadata.h',
+               define_name='HAVE_JACK_METADATA',
+               uselib='JACK',
                mandatory=False)
 
     if not Options.options.no_jack_session:
@@ -64,6 +77,8 @@
 
     conf.write_config_header('jalv_config.h', remove=False)
 
+    autowaf.display_msg(conf, "Jack metadata support",
+                        conf.is_defined('HAVE_JACK_METADATA'))
     autowaf.display_msg(conf, "Gtk 2.0 support",
                         conf.is_defined('HAVE_GTK2'))
     autowaf.display_msg(conf, "Gtk 3.0 support",
@@ -120,6 +135,9 @@
 
     # Qt version
     if bld.is_defined('HAVE_QT4'):
+        obj = bld(rule = '${MOC} ${SRC} > ${TGT}',
+                  source = 'src/jalv_qt4.cpp',
+                  target = 'jalv_qt4_meta.hpp')
         obj = bld(features     = 'c cxx cxxprogram',
                   source       = source + ' src/jalv_qt4.cpp',
                   target       = 'jalv.qt',
@@ -131,5 +149,13 @@
     # Man pages
     bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))
 
+def upload_docs(ctx):
+    import glob
+    import os
+    for page in glob.glob('doc/*.[1-8]'):
+        os.system('mkdir -p build/doc')
+        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
+        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)
+
 def lint(ctx):
     subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include,-runtime/sizeof src/* jalv/*', shell=True)
