=== debian/changelog ===
jalv (1.4.6~dfsg0-1build2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:48:19 +0000

jalv (1.4.6~dfsg0-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:38:45 +0000

jalv (1.4.6~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Compression xz.
  * Tuned get-orig-source.
  * Removed old repack scripts.
  * Tuned build deps.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 19 Aug 2014 15:41:42 +0100
