=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jalv
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -11,13 +12,13 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  libjack-dev,
- liblilv-dev (>= 0.15.1~),
+ liblilv-dev (>= 0.19.2~),
  libqt4-dev,
  libserd-dev,
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev (>= 1.4.3~),
+ lv2-dev (>= 1.8.1~),
  pkg-config,
  python
 Standards-Version: 3.9.5
