=== debian/rules ===
--- 
+++ 
@@ -42,5 +42,8 @@
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
-	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
+	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
+	rm $(pkg)_$(dfsg_version).orig.tar.bz2
