=== debian/changelog ===
jalv (1.6.0~dfsg0-2) unstable; urgency=medium

  * Build qt5 version rather than qt4.
  * Add patch to fix build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 07 Jan 2017 11:36:38 +0100

jalv (1.6.0~dfsg0-1) unstable; urgency=medium

  * Update repacking.
  * New upstream version 1.6.0~dfsg0
  * Set dh/compat 10.
  * Fix copyright file.
  * Sign tags.
  * Patches deleted/refreshed.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 06 Jan 2017 14:19:40 +0100

jalv (1.4.6~dfsg0-2) unstable; urgency=medium

  * Add patch to build without gtkmm. (Closes: #833908)
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Tune .gitignore file.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 23 Aug 2016 19:34:25 +0200
