=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,14 @@
 dfsg_version = $(upstream_version)~dfsg0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-LDFLAGS += -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export LINKFLAGS += $(LDFLAGS)
+
+export QT_SELECT := qt5
+
 WAF = ./waf
 
 %:
@@ -14,7 +21,9 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-                --strict
+                --strict \
+		--no-gtkmm \
+		--no-qt4
 
 override_dh_auto_build:
 	$(WAF)
@@ -45,5 +54,4 @@
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
 	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
-	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
-	rm $(pkg)_$(dfsg_version).orig.tar.bz2
+	rm $(pkg)_$(upstream_version).orig.tar.bz2
